[
  {
    "function": "minecraft:set_components",
    "components": {
      "minecraft:base_color": "white",
      "minecraft:banner_patterns": [
        {
          "pattern": "minecraft:half_horizontal",
          "color": "red"
        },
        {
          "pattern": "minecraft:rhombus",
          "color": "black"
        },
        {
          "pattern": "minecraft:stripe_top",
          "color": "red"
        },
        {
          "pattern": "minecraft:stripe_bottom",
          "color": "white"
        },
        {
          "pattern": "minecraft:stripe_middle",
          "color": "black"
        },
        {
          "pattern": "minecraft:circle",
          "color": "white"
        }
      ],
      "minecraft:custom_data": "{replaced:1}"
    }
  }
]
